PHP ��U
前一頁 |  | 下一頁

# HttpRequest::getHistory

(no version information, might be only in CVS)

HttpRequest::getHistory -- Get history

## Description

publicHttpMessage HttpRequest::getHistory ( void )

Get all sent requests and received responses as an HttpMessage object.

If you want to record history, set the instance variable HttpRequest::recordHistory to TRUE.

The returned object references the last received response, use HttpMessage::getParentMessage()() to access the data of previously sent requests and received responses.

## Return Values

Returns an HttpMessage object representing the complete request/response history.

## Errors/Exceptions

Throws HttpRuntimeException.

前一頁 | 內容 | 下一頁
HttpRequest::getHeaders | 上一層 | HttpRequest::getMethod